NPM-WHOAMI(1)

NAME
npm-whoami

Synopsis
<!-- AUTOGENERATED USAGE DESCRIPTIONS -->.SH Description

Display the npm username of the currently logged-in user.

If logged into a registry that provides token-based authentication, then connect to the /-/whoami registry endpoint to find the username associated with the token, and print to standard output.

If logged into a registry that uses Basic Auth, then simply print the username portion of the authentication string.

Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->.SH See Also

    •   npm config

    •   npmrc

    •   npm adduser